# initial configuration of Standard SBC database
#
# VERSION=1
# CHANGES="initial version"

# Table 'users'
INSERT INTO users VALUES(1, 'admin', 'd73b128b9c86524c362ab4420c987827:f2', 'admin');

# Table 'acl' with bfdetect enabled
INSERT INTO acl VALUES(5,NULL,65001,'0.0.0.0',0, NULL, NULL);

# Table 'isdn'
CREATE TABLE isdn (type VARCHAR(30), lif VARCHAR(1), port INTEGER PRIMARY KEY, gr VARCHAR(60) DEFAULT 'NULL', ptp VARCHAR(1) NOT NULL DEFAULT '1', ntteHW VARCHAR(2) NOT NULL DEFAULT 'te', ntteSW VARCHAR(2) NOT NULL DEFAULT 'te', config VARCHAR(255), lt VARCHAR(1) NOT NULL DEFAULT '1', clock VARCHAR(1) NOT NULL DEFAULT '0', chansel VARCHAR(20) NOT NULL DEFAULT 'standard', tones VARCHAR(20) NOT NULL DEFAULT '[de]', odt INTEGER NOT NULL DEFAULT '3', odt_empty_dad INTEGER NOT NULL DEFAULT '15', overlap_dialing VARCHAR(3) NOT NULL DEFAULT '0', qsig VARCHAR (3) NOT NULL DEFAULT '0', port_type VARCHAR(4) NOT NULL DEFAULT '', portpullup INTEGER DEFAULT 1, crc INTEGER DEFAULT 1, chansel_dir VARCHAR NOT NULL DEFAULT 'ascending', crystal_clock INTEGER DEFAULT 0, country_code VARCHAR(5), city_code VARCHAR(5), local_area_code VARCHAR(20), permanentl1 INTEGER DEFAULT 0, ccs INTEGER DEFAULT 0, pcmlaw VARCHAR NOT NULL DEFAULT 'default', dialtone_digits INTEGER NOT NULL DEFAULT '0', restart_after_link_loss INTEGER NOT NULL DEFAULT '0', 'crlen' INTEGER DEFAULT '1', 'cidlen' INTEGER DEFAULT '1', monitored_sip_peer VARCHAR(255), monitored_sip_peer_offtime VARCHAR(255));

# Table 'analog'
CREATE TABLE analog (type VARCHAR(30), lif VARCHAR(1), port INTEGER PRIMARY KEY, gr VARCHAR(60) DEFAULT 'NULL', config VARCHAR(255), port_type VARCHAR(4) NOT NULL DEFAULT '', overlap_dial_timeout_empty_dad INTEGER NOT NULL DEFAULT '15', overlap_dial_timeout INTEGER NOT NULL DEFAULT '3', tones VARCHAR(20) NOT NULL DEFAULT '[de]', fxo_connect VARCHAR(20) NOT NULL DEFAULT 'instant', fxo_wait_for_oad VARCHAR(20) NOT NULL DEFAULT 'wait', fxo_dialtone_passthrough INTEGER NOT NULL DEFAULT '0', fxo_call_ending_signal VARCHAR(20) NOT NULL DEFAULT 'unobtainable', fxo_cid_detection_mode VARCHAR(20) NOT NULL DEFAULT '', clip VARCHAR(128) NOT NULL DEFAULT '', cnip VARCHAR(128) NOT NULL DEFAULT '',overlap_dialing VARCHAR(3) NOT NULL DEFAULT '0', chansel VARCHAR(20) NOT NULL DEFAULT 'standard', chansel_dir VARCHAR NOT NULL DEFAULT 'ascending', message_waiting_method VARCHAR NOT NULL DEFAULT 'stutter', dialtone_digits INTEGER NOT NULL DEFAULT '0', fxo_verify_ringing INTEGER NOT NULL DEFAULT '0');

# Table 'gsm'
CREATE TABLE gsm (type VARCHAR(30), lif VARCHAR(1), port INTEGER PRIMARY KEY, gr VARCHAR(60) DEFAULT 'NULL', config VARCHAR(255), port_type VARCHAR(4) NOT NULL DEFAULT '', pin INTEGER DEFAULT NULL, smsc VARCHAR(70) NOT NULL DEFAULT '', sms_extension VARCHAR(70) NOT NULL DEFAULT '', extension VARCHAR(70) NOT NULL DEFAULT '', chansel VARCHAR(20) NOT NULL DEFAULT 'standard', chansel_dir VARCHAR NOT NULL DEFAULT 'ascending', codec VARCHAR NOT NULL DEFAULT '1|2|4|8|16');

# Table 'lte'
CREATE TABLE lte (type VARCHAR(30), lif VARCHAR(1), port INTEGER PRIMARY KEY, gr VARCHAR(60) DEFAULT 'NULL', config VARCHAR(255), port_type VARCHAR(4) NOT NULL DEFAULT '', pin INTEGER DEFAULT NULL, smsc VARCHAR(70) NOT NULL DEFAULT '', sms_extension VARCHAR(70) NOT NULL DEFAULT '', extension VARCHAR(70) NOT NULL DEFAULT '', chansel VARCHAR(20) NOT NULL DEFAULT 'standard', chansel_dir VARCHAR NOT NULL DEFAULT 'ascending', codec VARCHAR NOT NULL DEFAULT '1|2|4|8|16|32|64|128', provider VARCHAR NOT NULL DEFAULT '0', sms_webhook VARCHAR(1023) NOT NULL DEFAULT '', sms_webhook_user VARCHAR(60) NOT NULL DEFAULT '', sms_webhook_secret VARCHAR(60) NOT NULL DEFAULT '', sms_webhook_type VARCHAR(20) NOT NULL DEFAULT 'plain', sms_webhook_id VARCHAR(60) NOT NULL DEFAULT '', wait_for_cid_timeout VARCHAR(20) NOT NULL DEFAULT '1');

# Table 'cas'
CREATE TABLE cas (type VARCHAR(30), lif VARCHAR(1), port INTEGER PRIMARY KEY, port_type VARCHAR(6) DEFAULT 'hdlc', clock VARCHAR(1) NOT NULL DEFAULT '0', protocol VARCHAR(10) NOT NULL DEFAULT 'e1', country VARCHAR(20) NOT NULL DEFAULT 'de', sigchan INTEGER DEFAULT '16', termination VARCHAR(2) NOT NULL DEFAULT 'te', coding VARCHAR(70) NOT NULL DEFAULT 'B8ZS');

# Table 'cas_channels'
CREATE TABLE cas_channels (channel INTEGER PRIMARY KEY, port INTEGER, gr VARCHAR(60) DEFAULT 'NULL', t1sigtype VARCHAR(10) NOT NULL DEFAULT 'fxo_ks', e1sigtype VARCHAR(10) NOT NULL DEFAULT 'mfcr2', tones VARCHAR(20) NOT NULL DEFAULT '[de]', config VARCHAR(255), interdigit_timeout_initial INTEGER NOT NULL DEFAULT '15', interdigit_timeout INTEGER NOT NULL DEFAULT '3', fxo_wait_for_oad VARCHAR(20) NOT NULL DEFAULT 'wait', wait_for_oad VARCHAR(20) NOT NULL DEFAULT 'wait', dialtone_digits INTEGER NOT NULL DEFAULT '0', fxo_callerid_detection_timeout INTEGER NOT NULL DEFAULT '5', fxo_call_ending_signal VARCHAR(20) NOT NULL DEFAULT 'unobtainable', fxo_cid_detection_mode VARCHAR(20) NOT NULL DEFAULT 'bellcore', clip VARCHAR(128) NOT NULL DEFAULT '', cnip VARCHAR(128) NOT NULL DEFAULT '', overlap_dialing VARCHAR(3) NOT NULL DEFAULT '0', chansel VARCHAR(20) NOT NULL DEFAULT 'standard', chansel_dir VARCHAR NOT NULL DEFAULT 'ascending', pcmlaw VARCHAR NOT NULL DEFAULT 'default');

# Table 'key_val'
INSERT into key_val VALUES ('syslog_facility', '16');
INSERT into key_val VALUES ('logcdr', '1');
INSERT into key_val VALUES ('sip_transport_lan', 'tcp:udp');
INSERT into key_val VALUES ('sip_transport_wan', 'tcp:udp');
INSERT into key_val VALUES ('sip_transport_vpn', 'tcp:udp');
INSERT into key_val VALUES ('stack_active_lan', '1');
INSERT into key_val VALUES ('country', '1TR110_DE');
INSERT into key_val VALUES ('syslog_active', '0');
INSERT into key_val VALUES ('logging_message', '1');
INSERT into key_val VALUES ('logging_debug', '0');
INSERT into key_val VALUES ('loglevel_message', '2');
INSERT into key_val VALUES ('loglevel_debug', '0');
INSERT into key_val VALUES ('logserver', '127.0.0.1:514');
INSERT into key_val VALUES ('gui_mode', 'simple');
INSERT into key_val VALUES ('rtpports_lan', '6000-7000');
INSERT into key_val VALUES ('sip_bindport_lan', '5060');
INSERT into key_val VALUES ('activate', '3');
INSERT into key_val VALUES ('master', '0');
INSERT into key_val VALUES ('sip_useragent_lan', 'Berofix VoIP Gateway v{FIRMWARE}');
INSERT into key_val VALUES ('sip_useragent_wan', 'Berofix VoIP Gateway');
INSERT into key_val VALUES ('sip_useragent_vpn', 'Berofix VoIP Gateway v{FIRMWARE}');

# Table 'tones_custom'
CREATE TABLE tones_custom (id INTEGER PRIMARY KEY, name VARCHAR(60) DEFAULT 'NULL', description VARCHAR(255), dial VARCHAR(255), busy VARCHAR(255), ring VARCHAR(255), congestion VARCHAR(255), acp_detect VARCHAR(255), acp_event VARCHAR(255));
